slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPInterpolSetInterpolation

Sets the tolerance and maximum degree when building the interpolation polynomial.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPInterpolSetInterpolation(NEP nep,PetscReal tol,PetscInt deg)

Collective

### Input Parameters

| nep | - nonlinear eigenvalue solver
| tol | - tolerance to stop computing polynomial coefficients
| deg | - maximum degree of interpolation

### Options Database Key

| -nep_interpol_interpolation_tol <tol> | - Sets the tolerance to stop computing polynomial coefficients
| -nep_interpol_interpolation_degree <degree> | - Sets the maximum degree of interpolation

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

NEPInterpolGetInterpolation()

### Level

advanced

### Location

src/nep/impls/interpol/interpol.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages